Subject: Re: Linux 2.4.27-pre6-bk hangs on MPC8540 board

From: Chris Zimman <[email-masked]>
Date: Sat, 14 Aug 2004 09:40:56 -0500

On Thu, Aug 12, 2004 at 05:07:30PM -0500, Cordes, Aaron M wrote:

> I completely disabled L1 and L2 cache in the processor and I am not
> seeing the memory corruption anymore.  So, good news is board is now
> booting, bad news is it's dog slow and we have a memory design to debug.
> Thanks to everyone for your prompt and helpful advice.

Before you spend too much time debugging the memory design, did you follow
Wolfgang's advice and take another look at your memory controller setup?

If it's working with cache disabled, and then failing in burst mode, 9 out of
10 times, it's because the SDRAM controller setup is wrong.  It only has to
be very subtly wrong to fail like this.

If you're using DIMMs versus having memory right on the board, are you
reading from the SPD for the config parameters?

--Chris

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/